Unable to configure Railgun on cPanel/WHM even with cPanel module installed


#1

Hey,

I’m a registered CloudFlare hosting provider and I’d like to install Railgun throughout my servers although I’m encountering an issue when trying to set CloudFlareRemoteIPTrustedProxy within the Include Editor in WHM.

The error I’m getting is:
The “/usr/sbin/httpd -DSSL -t -f /etc/apache2/conf.d/includes/pre_main_global.conf.tmp.cfgcheck -C Include “/etc/apache2/conf.modules.d/*.conf”” command (process 6534) reported error number 1 when it ended. Configuration problem detected on line 1 of file /etc/apache2/conf.d/includes/pre_main_global.conf.tmp: Invalid command ‘CloudFlareRemoteIPTrustedProxy’, perhaps misspelled or defined by a module not included in the server configuration — /etc/apache2/conf.d/includes/pre_main_global.conf.tmp — 1 ===> CloudFlareRemoteIPTrustedProxy 127.0.0.1 <=== — /etc/apache2/conf.d/includes/pre_main_global.conf.tmp —

I’ve done some Googling and older articles and posts suggest that mod_cloudflare is not installed. For cPanel/WHM, I believe that the only current way to install mod_cloudflare is done via installing the CloudFlare Addon for cPanel. That has been done successfully and that works, but not CloudFlareRemoteIPTrustedProxy which I would need according to the documentation.

I was wondering whether anyone had any ideas on what I could do to resolve this error.

Regards


#2

This issue is resolved now.